<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++; 

    Echo "<tr>";
    Echo "<input type='hidden' name='itemcode_$ctr' class='itemcode form-control form' value=''>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form'  value='$mctr'></td>";
    Echo "<td>";
    Echo "<input type='text' name='barcode_$ctr' class='barcode form-control form focusFld_$ctr' value='' required>";
    Echo "</td>";
    Echo "<td style='display:none'>";
    Echo "<input type='text' name='itemcode_$ctr' required='true' class='itemcode form-control  form' value='' readonly required>";
    Echo "</td>";
    Echo "<td>";
    Echo "<input type='text' name='itemname_$ctr' required='true' class='itemname form-control  form' value='' readonly required>";
    Echo "</td>";
    Echo "<td>";
    Echo "<input type='text' name='hsncode_$ctr' required='true' class='hsncode form-control  form' value='' readonly required>";
    Echo "</td>";
    Echo "<td><input type='text' name='gram_$ctr' class='gram form-control  form' value='' readonly></td>";
    Echo "<td><input type='text' name='unit_$ctr' class='unit form-control  form' value='' readonly></td>";
    Echo "<td><input type='text' name='mrp_$ctr' class='mrp text-right form-control   form' value='' readonly></td>";
    Echo "<td><input type='text' name='batch_$ctr' class='batch form-control  form' value='' ></td>";
    Echo "<td><input type='text' name='l_$ctr' class='l form-control  form' value='0' ></td>";
    Echo "<td><input type='text' name='b_$ctr' class='b form-control  form' value='0' ></td>";
    Echo "<td><input type='text' name='h_$ctr' class='h form-control  form' value='0' ></td>";
    Echo "<td><input type='text' name='cbm_$ctr' class='cbm form-control  form'  style='color:red' value='0' ></td>";
    Echo "<td><input type='number' step='any' name='dzn_$ctr' class='dzn form-control  text-right form' value='0.00' ></td>";
    Echo "<td><input type='number' step='any' name='qty_$ctr' class='qty form-control  text-right form' value='0.00' ></td>";
    Echo "<td><input type='number' step='any' name='rate_$ctr' class='rate form-control text-right  form' value='0' ></td>";
    Echo "<td><input type='number' step='any' name='amount_$ctr' class='amount form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 